* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 500;
}

a{
	text-decoration: none;
	color: #000;
}
img{
	cursor: pointer;
}

hr{
	background-color: #464646;
	height: 1px;
	border: none;
    margin-bottom: 2px;
}
.flex{
    max-width: 100%;
	display: flex;
	align-items: center;
}

.container{
    width: 100%;
    padding-right: calc(var(1.5em) * 0.5);
    padding-left: calc(var(0) * 0.5);
    margin-right: auto;
    margin-left: auto;
}
.container-fluid{
    width: 100%;
    padding-right: calc(var(1.5em) * 0.5);
    padding-left: calc(var(0) * 0.5);
    margin-right: auto;
    margin-left: auto;
}
.basket-container{

}
#main-header{
	height: 60px;
	padding: 5px 0;
	width: 100%;
	justify-content: space-between;
	background: var(--color-header);
	position: fixed;
	/*box-shadow: rgba(0, 0, 0, 0.02) 0px 5px 5px;*/
	top: 0;
	z-index: 100;

}

#start{
	justify-content: start;
    align-items: center;
    margin-left: 20px;
    flex-basis: 25%;
}
#center{
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding-left: 10px;
    flex-basis: 50%;
}
#end{
	justify-content: center;
	align-items: center;
	padding-right: 10px;
    flex-basis: 25%;
}

.top_links {
    display: flex;
    justify-content: flex-start;
    padding-inline: 10px;
}
.top_links ul {
   
    padding-left: 0px !important;
}

.top_links li {
    display: inline-block;
    padding: 0px 20px;
}

.top_links a {
    transition: all 0.3s ease 0s;
    text-decoration: none; /* Optional: Remove underline for better visibility */
}

.top_links a:hover {
    border-bottom: 3px solid #0275d8;
}

.mt-10{
	margin-top: 10px !important;
}
.mt-20{
    margin-top: 20px !important;
}
.mt-30{
     margin-top: 30px !important;
  }
/* Brand and logo */
.togle-menu{
	position: relative;
	top: 2px;
	padding-right: 10px;
}
.brand{
	position: relative;
}
.logo{
    display: flex;
    align-items: center;
	width: 100%;
	font-size: 25px;
	font-weight: 700;
	margin: 0;
	font-family: var(--bs-font-sans-serif);
}

.logo img{
     object-fit: cover;
     width: 50px;
     height: 50px;
}

/*---search----*/
.search-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
    position: absolute;
    transition: 0.5s case-in-out;
}
#close-btn{
    visibility: hidden;
}

.search-input{
	display: flex;
	justify-content: space-between;
	align-items: center;
	max-width: 600px;
	min-width: 500px;
	height: 40px;
    border: 1px solid #848484;
    padding: 5px 10px;
    border-radius: 25px 0px 0px 25px;
    background-color: white;
}

.search-input input{
	width: 100% !important;
	height: 100% !important;
	font-size: 20px !important;
	font-weight: 500;
	border: none !important;
	outline: none !important;
	background-color: white !important;

}

.search-btn{
    border: 1px solid #c5c5c5;
    border-radius: 0px 25px 25px 0px;
    margin: 0px;
    padding: 10px;
    position: relative;
    display: flex;
    height: 40px;
    width: 80px;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 500;
    background-color: #c5c5c5;
    cursor: pointer;
    letter-spacing: 2px;
    color: #ffff;

  }
  .search-btn:hover{
    background-color: #848484 !important;
    border-color: #848484 !important;
    color: #fff !important;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  }

  #open-btn {
    visibility: hidden;
}
@media(max-width:820px){
.brand{
    position: relative;
    padding-left: 0px !important;
}
.search-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    right: 100%;
    width: 100%;
    z-index: 1;
    position: absolute;
    transition: 0.5s case-in-out;
    background-color: var(--color-header);
}
/*---search----*/
.search-input{
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 360px;
    min-width: 185px;
    height: 40px;
    border: 1px solid #848484;
    padding: 5px 10px;
    border-radius: 25px 0px 0px 25px;
    
}
.search-btn{
    border-radius: 0px 25px 25px 0px;
    margin-right: 10px;
    padding: 10px;
    position: relative;
    display: flex;
    height: 40px;
    width: 80px;
    margin-right: 20px;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 500;
    background-color: #c5c5c5;
    cursor: pointer;
    letter-spacing: 2px;
    color: #ffff;
}
.active{
    right: 0 !important;
   
}

 #open-btn{
  visibility:visible;
  }

  #close-btn{
    display: flex;
    width: 20px;
    visibility: visible;
    margin-left: 10px;
    margin-right: 5px;

}

}


/*to cat*/
 #top-nav{
        margin-top: 60px;
        width: 100%;
        background: #fff;
        z-index: 98;
        border-top: 1px solid #c5c5c5 ;
        border-bottom: 1px solid #c5c5c5 ;
       
    }

    #top-nav a {
        display: inline-block;
        padding: 0em 1em 0em 1em;
        margin: 0em 0em 0em 0em;
        color: #0f171c;
        text-decoration: none ;
        cursor: pointer;
        border-radius: 25px;
    }
@media(max-width:820px){
 
    #top-nav a {
      margin-right: 10px;
       
       
    }
}

/* side menu*/
      .side-menu{
        margin-top: 0px;
        padding-top: 0px;
        padding-right: 25px;
        background-color: #fff;
        display: flex;
        justify-content: start;
        position: fixed;
        top: 0;
        left: -300px;
        transition: 850ms;
        z-index: 1000;
        overflow: hidden;
        height: 100%;
      }
       .side-menu-item::-webkit-scrollbar{
        width: 0;

      }
      .side-menu-item{
            width: 250px;
            margin-top: 5px;
            padding-left: 20px;
            overflow: auto;
            padding-bottom: 100px;

      }
      

      .show {
        left: 0px;
        transition: 350ms;
      }
      .nav-text{
        display: flex;
        justify-content: start;
        height: 50px;
        padding: 1rem;
      }
      #show-side-menu{
         cursor: pointer;
         margin-top: 10px;
      }
     
      #hide-side-menu{
         cursor: pointer;
          margin-top: 10px;
      }

.grid-layout {
    display: grid;
    grid-template-columns: 20% 80%; /* Adjusts column sizes */
    background-color: #fff;
    overflow: hidden; /* Prevent scrolling on the grid container */
}

.lhs {
    display: flex;
    flex-direction: column;
    overflow-y: auto; /* Enable vertical scrolling for LHS */
    border-right: 1px solid #ccc; /* Add a horizontal line on the right side */
}

.main {
    display: flex;
    flex-direction: column;
    overflow-y: auto; /* Enable vertical scrolling for Main */
    
}
.lhs::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Edge: Hide scrollbar */
}
.main::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Edge: Hide scrollbar */
}
@media(max-width:820px){
.lhs {
  display: none;
  }

.grid-layout {
    grid-template-columns: 1fr;
 }
 
}



.campaign {
    position: relative;
    display: block;
  
}
.campaign img{
    text-decoration: none;
    color: inherit;
    border: none;
    outline: none;
}

.campaign-lable{
    background: rgba(255,63,108,.8);
    display: inline-block;
    position: absolute;
    top: 16px;
    left: 0;
    text-transform: uppercase;
    color: #fff;
    font-size: 12px; */
    font-weight: 700;
    line-height: 18px;
    z-index: 2;
}
.campaign-lable:after{
    border-width: 9px;
}
.campaign-lable:after{
    content: "";
    position: absolute;
    border-color: rgba(255,63,108,.5) transparent rgba(255,63,108,.5) rgba(255,63,108,.8);
    border-style: solid;
    border-width: 9px;
    left: 100%;
    width: 0;
    height: 0;
    top: 0;
}
 






#mountroot {
    clear: both;
    min-height: 100vh;
   
}
.success {
    margin-top: 10% ;   
}

  /* wrapper grid */
  .wrapper{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25%,25%));
    justify-items: center;
    align-items: center;
    padding-top: 10px;
   
    
}
    .wrapper .card {
       /* min-width: 210px;
        max-width: 210px;*/
        width: 100%;
        margin: 0 10px 0px;
        text-align: left;
        position: relative;
        vertical-align: top;
        overflow: hidden;
        display: inline-block;
        padding: 0px 10px 0px;
        
      }

    /* wrapper scroll */
    .wrapper-scroll{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(25%,1fr));
        justify-items: center;
        align-items: center;
    
    }
    .wrapper-scroll .card {
        min-width: 210px;
        max-width: 210px;
        margin: 0 10px 0px;
        text-align: left;
        position: relative;
        vertical-align: top;
        overflow: hidden;
        display: inline-block;
        
      }

  .hide-toggle{
        margin-left: -60px !important;
        margin-right: 60px !important;
    }

  @media(max-width:820px){
.hide-toggle{
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
    .lhs{
           margin-left: -300px !important;
        }
    .main {
        margin-left: 0px !important;
    }
    .wrapper{
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(50%,50%));
        justify-items: center;
        align-items: center;
       
        
    }

    .wrapper .card {
        min-width: 160px;
        max-width: 200px;
        margin: 0 10px 0px;
        text-align: left;
        position: relative;
        vertical-align: top;
        overflow: hidden;
        display: inline-block;
        padding: 0px 0px 0px;
      }



     .wrapper-scroll{
        display: flex;
        overflow-x: auto;
        justify-items: center;
        align-items: center;
       
      }

    .wrapper-scroll::-webkit-scrollbar{
        width: 0px;
      }
    .wrapper-scroll .card {
        min-width: 210px;
        max-width: 210px;
        margin: 0 10px 0px;
        text-align: left;
        position: relative;
        vertical-align: top;
        overflow: hidden;
        display: inline-block;
      }   
      
   

  }

 /* wrapper scroll end*/
.card-header{
    width: 100%;
    aspect-ratio: 3/4;
    object-fit: scale-down;
    overflow: hidden;
}

.card-header img {
    width: 100%;
    aspect-ratio: 3/4;
    padding: 5px;
    overflow: hidden;
}
.card-body{
    margin: 5px;
}
.card-footer{
    margin: 5px;
}
  

  /* image ratio  */

.ratio-1X1 {
        width: 100%;
        aspect-ratio: 1/1;
        object-fit: cover;
      }

.ratio-3X4 {
        width: 100%;
        aspect-ratio: 3/4;
        object-fit: cover;
        overflow: hidden;
      }
.ratio-4X3 {
        width: 100%;
        aspect-ratio: 4/3;
        object-fit: cover;
      }


    
ul {
    margin: 5px 0;
    
}

li {
    line-height: 1.8em;
}

ul li{
    list-style: none;
   
}

li a{
    text-decoration: none;
}

.hscrollmenu {
  overflow-x: auto;
  white-space: nowrap;
  width: 100%;
  min-width: 340px;
  display: flex;
  justify-content: space-evenly;

}
.hscrollmenu::-webkit-scrollbar{
	width: 0;
}
.hscrollmenu  li {
  display: inline-block;
  color: white;
  text-align: center;
  margin-right: 0px;
  text-decoration: none;
}

.hscrollmenu  li:hover {
 text-decoration: underline;
}
.leader-link{
    color: black;
    padding: 0px 15px;
    cursor: pointer;
}

.nav-link{
	color: black;
	padding: 0px;
    cursor: pointer;
}

@media(max-width:820px){
.hscrollmenu {
    justify-content: start;
}

}

.p-description{
    display: inline-block;
    width: 100%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding: 0;
    text-decoration: none;
    color: #878787;
    font-size: 14px;
    font-weight: 500;
}
.p-price{
	    color: #282c3f;
	    line-height: 1;
	    margin-right: 12px
		}
.p-MRP{
      opacity: .8;
      line-height: 1.2;
    }    
.p-qty{
   		 color:green ;
       line-height: 1.2;

    }
.p-pric, .p-MRP{
        color: #282c3f;
        margin-right: 12px
    }
.p-discount{
        letter-spacing: .5px;
        color: rgb(204, 12, 57);
    }



@media (max-width:820px){
#main-header{
		height: 60px;
		padding: 5px 0;
		width: 100%;
        min-width: 360px;
		justify-content: space-between;
		background: var(--color-header);
		position: fixed;
		top: 0;
		
	}
.togle-menu{
	position: relative;
	top: 2px;
	padding-right: 2px;
}



	.uppercase{
        text-transform: uppercase;
		padding: 0 0;
	}
}







.grid-container {
  display: grid;
  grid-template-columns: auto auto auto;
  padding: 2%;
}


.footer{
        padding-top: 30px;
        background: var(--footer-color);
        width: 100%;
        bottom: 0;
    }
    .f-container{
        margin: 20px 100px 0px 100px;
      
        padding-bottom: 20px;
       
    }
      .b-top{
        border-top: 1px solid #848484;
      }
      .b-bottom{
        border-bottom: 1px solid #848484;
      }
    .p-content{
        padding: 0px;
      }
    .p-content h1{
        font-size: 18px;
        color: #848484;
    }
    .p-content h2{
        font-size: 16px;
        color: #848484;
    }
    .p-content p{
        font-size: 14px;
        color: #848484;
    }
    .p-content ol li{
        font-size: 14px;
        color: #848484;
    }
    .p-content ol li::marker {
        font-size: 14px;
        color: #848484;
    }

    .f-grid{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(25%,1fr));
        justify-content: center;
        align-items: center;
    }
    .f-grid .f-col{
        min-width: 240px;
        max-width: 240px;
        margin-top: 30px;
        padding: 0px;
    }
  .social{
    padding: 0px;
  }
  .social a{
    padding-right: 10px;
  }

    @media (max-width:820px){
    .f-container{
        margin: 10px;
        height: auto;
        
    }
    .f-grid{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(50%,1fr));
         justify-content: center;
         align-items: center;
    }
    .f-grid .f-col{
        min-width: 180px;
        max-width: 180px;
        margin-top: 30px;
        padding: 10px;

    }
    .f-nav{
       padding-bottom: 20px;
       padding: 10px; 
    }
    .p-content{
        padding: 10px;
      }
    }

   
    .f-nav-title{
        color: #848484;
        font-weight: 500;
        margin-top: 15px;
       margin-bottom: 15px;
    }
    .f-nav a{
        color: #848484;
        padding: 0 10px 0 0;
        border-right: 1px solid #848484;
        font-size: 14px;
    }
    .f-nav a:last-child{
        border-right: none;
    }




.terms{
        margin: 20px 150px 0px 150px;
    }
@media (max-width:820px){
   .terms{
        margin: 0 !important;
    }

}


.whatsapp-button {
    position: fixed;
    right: 20px; /* Distance from the right */
    bottom: 20px; /* Distance from the bottom */
    z-index: 1000; /* Ensures it stays on top */
}

.whatsapp-button img {
    width: 80px; /* Adjust size */
    height: 80px;
    border-radius: 50%;
    transition: transform 0.3s ease-in-out;
}

.whatsapp-button img:hover {
    transform: scale(1.1);
}

img.lazyload {
  opacity: 0;
  transition: opacity 0.4s ease-in;
}
img.lazyloaded {
  opacity: 1;
}